/****************************************************************************
 * $Rev:: 9497              $: Revision of last commit
 * $Author:: nxp33194       $: Author of last commit
 * $Date:: 2012-07-30 14:48#$: Date of last commit
 * $HeadURL: https://www.collabnet.nxp.com/svn/lprf_apps/Application_Notes/JN-AN-1133-ZigBee-PRO-Wireless-Lightswitch/Trunk/Common/Source/eventStrings.c $
 ****************************************************************************
 * This software is owned by Jennic and/or its supplier and is protected
 * under applicable copyright laws. All rights are reserved. We grant You,
 * and any third parties, a license to use this software solely and
 * exclusively on Jennic products. You, and any third parties must reproduce
 * the copyright and warranty notice and any other legend of ownership on each
 * copy or partial copy of the software.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS". JENNIC MAKES NO WARRANTIES, WHETHER
 * EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE,
 * ACCURACY OR LACK OF NEGLIGENCE. JENNIC SHALL NOT, IN ANY CIRCUMSTANCES,
 * BE LIABLE FOR ANY DAMAGES, INCLUDING, BUT NOT LIMITED TO, SPECIAL,
 * INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON WHATSOEVER.
 *
 * Copyright Jennic Ltd 2007 - 2009. All rights reserved
 ****************************************************************************/

/****************************************************************************/
/* Description.                                                             */
/* If you do not need this file to be parsed by doxygen then delete @file   */
/****************************************************************************/

/** @file
 * Add brief description here.
 * Add more detailed description here
 */

/****************************************************************************/
/* Description End                                                          */
/****************************************************************************/


/****************************************************************************/
/*          Include files                                                   */
/****************************************************************************/

#include <jendefs.h>

/****************************************************************************/
/*          Macro Definitions                                               */
/****************************************************************************/


/****************************************************************************/
/***        Type Definitions                                                */
/****************************************************************************/


/****************************************************************************/
/*          Local Function Prototypes                                       */
/****************************************************************************/


/****************************************************************************/
/*          Exported Variables                                              */
/****************************************************************************/
PUBLIC char *apcZPSEventStrings[] =
{
	"ZPS_EVENT_NONE",                                    /*  0, 0x00 */
	"ZPS_EVENT_APS_DATA_INDICATION",                     /*  1, 0x01 */
	"ZPS_EVENT_APS_DATA_CONFIRM",                        /*  2, 0x02 */
	"ZPS_EVENT_APS_DATA_ACK",                            /*  3, 0x03 */
	"ZPS_EVENT_NWK_STARTED",                             /*  4, 0x04 */
	"ZPS_EVENT_NWK_JOINED_AS_ROUTER",                    /*  5, 0x05 */
	"ZPS_EVENT_NWK_JOINED_AS_ENDDEVICE",                 /*  6, 0x06 */
	"ZPS_EVENT_NWK_FAILED_TO_START",                     /*  7, 0x07 */
	"ZPS_EVENT_NWK_FAILED_TO_JOIN",                      /*  8, 0x08 */
	"ZPS_EVENT_NWK_NEW_NODE_HAS_JOINED",                 /*  9, 0x09 */
	"ZPS_EVENT_NWK_DISCOVERY_COMPLETE",                  /* 10, 0x0a */
	"ZPS_EVENT_NWK_LEAVE_INDICATION",                    /* 11, 0x0b */
	"ZPS_EVENT_NWK_LEAVE_CONFIRM",                       /* 12, 0x0c */
	"ZPS_EVENT_NWK_STATUS_INDICATION",                   /* 13, 0x0d */
	"ZPS_EVENT_NWK_ROUTE_DISCOVERY_CONFIRM",             /* 14, 0x0e */
	"ZPS_EVENT_NWK_POLL_CONFIRM",                        /* 15, 0x0f */
	"ZPS_EVENT_NWK_ED_SCAN",                             /* 16, 0x10 */
	"ZPS_EVENT_ZDO_BIND",                                /* 17, 0x11 */
	"ZPS_EVENT_ZDO_UNBIND",                              /* 18, 0x12 */
	"ZPS_EVENT_ZDO_LINK_KEY",                            /* 19, 0x13 */
	"ZPS_EVENT_BIND_REQUEST_SERVER",                     /* 20, 0x14.*/
	"ZPS_EVENT_ERROR",                                   /* 21, 0x15 */
	"ZPS_EVENT_APS_INTERPAN_DATA_INDICATION",            /* 22, 0x16 */
	"ZPS_EVENT_APS_INTERPAN_DATA_CONFIRM",               /* 23, 0x17 */
	"ZPS_EVENT_APS_ZDP_REQUEST_RESPONSE"                 /* 24, 0x18 */
};


PUBLIC char *apcAPPEventStrings[] =
{
    "APP_E_EVENT_NONE",
    "APP_E_EVENT_BUTTON_UP",
    "APP_E_EVENT_BUTTON_DOWN"
};

/****************************************************************************/
/*          Local Variables                                                 */
/****************************************************************************/

/****************************************************************************/
/*          Exported Functions                                              */
/****************************************************************************/



/****************************************************************************/
/***        Local Functions                                                 */
/****************************************************************************/




/****************************************************************************/
/*          END OF FILE                                                     */
/****************************************************************************/
